import java.util.Scanner;

class UsingScanner {
  public static void main(String[] args) {
    // The input record:
    String record = "123,45.67,false,1949,786,BERGEN";
    // Scanner takes the record as input string:
    Scanner lexer = new Scanner(record);
    // Uses the specified delimiter string,
    // which represents the character ',' in this case:
    lexer.useDelimiter("\\,");

    // Read values sequentially using appropriate next() method:
    int     field1 = lexer.nextInt();
    double  field2 = lexer.nextDouble();
    boolean field3 = lexer.nextBoolean();
    int     field4 = lexer.nextInt();
    long    field5 = lexer.nextLong();
    String  field6 = lexer.next();
    System.out.printf("%5d%6.2f%8s%5d%4d%8s",
                      field1, field2, field3, field4, field5, field6);

    // Close Scanner when done:
    lexer.close();
  }
}